package common

import (
	"server/console"
	usercenter "server/datacenter"
	"server/hall/friends"

	"github.com/name5566/leaf/gate"
)

type GetAgentByUserID func(userID string) gate.Agent

// 更新玩家在线状态
func UpdateUserOnlineStatus(online_status int32, userId string) {
	console.Log("UpdateUserOnlineStatus:", online_status, userId)
	usercenter.UpdateOnlineStatusToDB(userId, online_status)
}

func RpcCloseAgent(user_id string, getAgentFunc GetAgentByUserID) {
	usercenter.UpdateOnlineStatusToDB(user_id, 0)
	friends.NotifyFriendOnlineStatus(user_id, 0)
}
