package gate

import (
	"server/game"
	"server/hall"
	"server/login"
	"server/msg"
)

func init() {
	msg.Processor.SetRouter(&msg.ReqLogin{}, login.ChanRPC)
	msg.Processor.SetRouter(&msg.ReqRegister{}, login.ChanRPC)

	msg.Processor.SetRouter(&msg.BuyShopItem{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.EnterHall{}, hall.ChanRPC)

	//好友
	msg.Processor.SetRouter(&msg.ReqFriendList{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.ReqAddFriend{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.RecvAddFriendRequest{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.OptAddFriendRequest{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.SearchUser{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.ReqFriendRequestList{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.ReqDeleteFriend{}, hall.ChanRPC)

	//聊天
	msg.Processor.SetRouter(&msg.ReqSendChatMsg{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.ReqChatHistory{}, hall.ChanRPC)

	//游戏
	msg.Processor.SetRouter(&msg.ReqHeartBeat{}, game.ChanRPC)
	msg.Processor.SetRouter(&msg.SendColorSz{}, game.ChanRPC)
	msg.Processor.SetRouter(&msg.SendRoleMove{}, game.ChanRPC)
	msg.Processor.SetRouter(&msg.SendQuitRoom{}, game.ChanRPC)
	msg.Processor.SetRouter(&msg.MatchLudo{}, game.ChanRPC)

	//邮箱
	msg.Processor.SetRouter(&msg.ReqMail{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.OptMail{}, hall.ChanRPC)
}
